<template>
    <section class="vh-100">
        <div class="container-fluid h-custom">
          <div class="row d-flex justify-content-center align-items-center h-100">

            <div class="container">
                <div class="row g-0 mt-5 mb-5 height-100">
                    
                    <div class="col-md-6">
                        <div class="bg-white p-4 h-100">
                            <form :model="signUpRequest" class="p-3 d-flex justify-content-center flex-column align-items-center"> <span class="main-heading">Register to your Agenda </span>
                            
                                <ul class="social-list mt-3">
                                    
                                    <li><i class="fa fa-handshake"></i></li>
                                    
                                </ul>
                                <div class="form-data"> <label>First Name</label> <input type="text" v-model="signUpRequest.name" class="form-control w-100"> </div>
                                <div class="form-data"> <label>Second Name</label> <input type="text" v-model="signUpRequest.fname" class="form-control w-100"> </div>
                                <div class="form-data"> <label>Address</label> <input type="text" v-model="signUpRequest.address" class="form-control w-100"> </div>
                                <div class="form-data"> <label>Email</label> <input type="email" v-model="signUpRequest.email" class="form-control w-100"> </div>
                                <div class="form-data"> <label>Password</label> <input type="password"  v-model="signUpRequest.password" class="form-control w-100"> </div>
                                <div class="form-data"> <label>Phone</label> <input type="text"  v-model="signUpRequest.phone" class="form-control w-100"> </div>
                                <div class="d-flex justify-content-between w-100 align-items-center">
                                    <div class="form-check"> <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault"> <label class="form-check-label" for="flexCheckDefault"> Remember me </label> </div>
                                </div>
                                <div class="signin-btn w-100 mt-2"> <button  @click.prevent="addSubmit" class="btn btn-success btn-block">Sign Up</button> </div>
                            
                            
                        </form>
                        </div>
                    </div>
                    
                    <!-- part for registration -->
                    <div class="col-md-6">
                        <div class="bg-white p-4 h-100">
                            <form :model="loginRequest" class="p-3 d-flex justify-content-center flex-column align-items-center"> <span class="main-heading">Signin to your Agenda </span>
                            
                                <ul class="social-list mt-3">
                                    
                                    <li><i class="fa fa-handshake"></i></li>
                                    
                                </ul>
                                
                                <div class="form-data"> <label>Email</label> <input type="text" v-model="loginRequest.email" class="form-control w-100"> </div>
                                <div class="form-data"> <label>Password</label> <input type="password"  v-model="loginRequest.password" class="form-control w-100"> </div>
                                <div class="d-flex justify-content-between w-100 align-items-center">
                                    <div class="form-check"> <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault"> <label class="form-check-label" for="flexCheckDefault"> Remember me </label> </div>
                                </div>
                                <div class="signin-btn w-100 mt-2"> <button  @click.prevent="login" class="btn btn-danger btn-block">Signin</button> </div>
                            
                            
                        </form>
                        </div>
                    </div>
                </div>
            </div>
          </div>
        </div>
        <div
          class="d-flex flex-column flex-md-row text-center text-md-start justify-content-between py-4 px-4 px-xl-5 bg-light">
          <!-- Copyright -->
          <div class="text-black  mb-3 mb-md-0">
            Copyright © 2020. All rights reserved.
          </div>
          <!-- Copyright -->
      
          <!-- Right -->
          <div>
            <a href="#!" class="text-white me-4">
              <i class="fab fa-facebook-f"></i>
            </a>
            <a href="#!" class="text-white me-4">
              <i class="fab fa-twitter"></i>
            </a>
            <a href="#!" class="text-white me-4">
              <i class="fab fa-google"></i>
            </a>
            <a href="#!" class="text-white">
              <i class="fab fa-linkedin-in"></i>
            </a>
          </div>
          <!-- Right -->
        </div>
      </section>
</template>

<script>
import { LOGIN_REQUEST, POST_UTILISATEUR } from "../api/api.js"

export default{
    data(){
        return{
            loginRequest: {
                email: "",
                password:""
      },
      signUpRequest: {
                name: "",
                fname:"",
                address:"",
                email:"",
                phone:"",
                password:"",
                image:"image.png",
                role_id: 1
            },
      authenticationresponse: {
        accessToken: "",
        token_type: ""
      },
        }    
    },
    methods:{
        login: function () {
      LOGIN_REQUEST(this.loginRequest)
            .then(res => {
              this.authenticationresponse = res;
              if (this.authenticationresponse.token_type !== "bearer") {
                console.log(this.authenticationresponse);
                
              } else {
                this.authenticationresponse = res;
                sessionStorage.setItem(
                  "token",
                  JSON.stringify(this.authenticationresponse)
                );
                this.$router.push({ path: "/" });
                this.getCurrentUser();
              }
            }).catch(e => {
              console.log(e);
              
            });
    },
    addSubmit: function () {
            console.log(JSON.parse(JSON.stringify(this.signUpRequest)));
			POST_UTILISATEUR(JSON.parse(JSON.stringify(this.signUpRequest))).then((res) => {
                            console.log("data: " + res);
                            this.$router.push({ path: "/login" }); 
						}).catch(e => {
							console.log(e);
						
						});
					}
   
    },

   
}
</script>

<style>
body {
    background-color: #e9f2fc
}

.height-100 {
    height: 500px
}

.sidebar {
    position: relative;
    overflow: hidden
}

.chart-design {
    list-style: none
}

.chart-design li:nth-child(1) {
    position: absolute;
    top: 10px;
    height: 100px;
    width: 100px;
    background-color: #b7c2d4;
    border-radius: 100% 0% 0% 100% / 0% 56% 44% 100%;
    opacity: 0.4
}

.chart-design li:nth-child(2) {
    position: absolute;
    top: 30px;
    right: 20px;
    transform: rotate(-10deg);
    height: 70px;
    width: 70px;
    background-color: #000;
    border-radius: 100% 0% 0% 100% / 0% 56% 44% 100%;
    opacity: 0.4
}

.chart-design li:nth-child(3) {
    position: absolute;
    bottom: 0px;
    left: 200px;
    transform: rotate(-10deg);
    height: 150px;
    width: 150px;
    background-color: #000;
    border-radius: 100% 0% 0% 100% / 0% 56% 44% 100%;
    opacity: 0.4
}

.chart-design li:nth-child(4) {
    position: absolute;
    bottom: 0px;
    left: 10px;
    transform: rotate(-10deg);
    height: 150px;
    width: 150px;
    background-color: #000;
    border-radius: 50%;
    opacity: 0.4
}

.chart-design li:nth-child(5) {
    position: absolute;
    bottom: 0px;
    right: 10px;
    transform: rotate(-10deg);
    height: 70px;
    width: 70px;
    background-color: #000;
    border-radius: 50%;
    opacity: 0.7
}

.chart-design li:nth-child(6) {
    position: absolute;
    top: 120px;
    left: 40%;
    transform: rotate(-10deg);
    height: 200px;
    width: 200px;
    background-color: #000;
    border-radius: 50%;
    opacity: 0.2
}

.form-data {
    width: 100%;
    margin-bottom: 10px
}

.main-heading {
    font-size: 30px
}

.form-data label {
    font-size: 13px;
    margin-left: 2px
}

.form-data input {
    height: 50px;
    border: 2px solid #eee;
    transition: all 1s;
    border-radius: 5px
}

.form-data input:focus {
    outline: none;
    border: 2px solid #000;
    box-shadow: none
}

.social-list {
    list-style: none;
    display: flex
}

.social-list li {
    margin: 5px;
    background-color: #b7c2d4;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    transition: all 0.5s;
    cursor: pointer;
    color: #fff
}

.forgot-text {
    color: red
}

.social-list li:nth-child(1) {
    background-color: #1828fe
}

.social-list li:nth-child(2) {
    background-color: red
}

.social-list li:nth-child(3) {
    background-color: #1828fe
}

.signin-btn .btn {
    width: 100%;
    height: 46px;
    margin-top: 10px
}
</style>